# The Red Matrix: include/oembed.php File Reference

All Classes Namespaces Files Functions Variables Pages
oembed.php File Reference

## Functions

| oembed_replacecb ($matches)
| oembed_fetch_url ($embedurl)
| oembed_format_object ($j)
| oembed_iframe ($src, $width, $height)
| oembed_bbcode2html ($text)
| oe_build_xpath ($attr, $value)
| oe_get_inner_html ($node)
| oembed_html2bbcode ($text)

## Function Documentation

oe_build_xpath | ( |  | $attr,
|  |  | $value
| ) |  |

Referenced by oembed_fetch_url(), and oembed_html2bbcode().

oe_get_inner_html | ( |  | $node | ) |

Referenced by oembed_html2bbcode().

oembed_bbcode2html | ( |  | $text | ) |

Referenced by bbcode().

oembed_fetch_url | ( |  | $embedurl | ) |

Referenced by oembed_init(), oembed_replacecb(), and tryoembed().

oembed_format_object | ( |  | $j | ) |

Referenced by oembed_replacecb(), and tryoembed().

oembed_html2bbcode | ( |  | $text | ) |

Find .... and replace it with [embed]url[/embed]

Referenced by get_atom_elements(), and oembed_init().

oembed_iframe | ( |  | $src,
|  |  | $width,
|  |  | $height
| ) |  |

Referenced by oembed_format_object().

oembed_replacecb | ( |  | $matches | ) |

Referenced by oembed_init().